export default class Pool<T> {
    private readonly available;
    private readonly unavailable;
    private readonly itemStatePropSymbol;
    private getStateOfItem;
    getAvailable(): T | undefined;
    makeAvailable(item: T): void;
    makeUnavailable(item: T): void;
    registerNewItem(item_: T): void;
    deregisterItem(item_: T): void;
}
