"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const intoIterator_1 = __importDefault(require("./intoIterator"));
function* default_1(src, n) {
    const it = (0, intoIterator_1.default)(src);
    for (let i = 0; i < n; i++) {
        const e = it.next();
        if (e.done) {
            return;
        }
        yield e.value;
    }
}
exports.default = default_1;
